--- old/usr/src/uts/common/disp/fss.c	sam. juil. 16 15:13:49 2016
+++ new/usr/src/uts/common/disp/fss.c	sam. juil. 16 15:13:49 2016
@@ -274,7 +274,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modlsched, NULL
+	MODREV_1, { (void *)&modlsched, NULL }
 };
 
 #define	FSS_MAXUPRI	60
@@ -395,41 +395,41 @@
 
 static struct classfuncs fss_classfuncs = {
 	/* class functions */
-	fss_admin,
-	fss_getclinfo,
-	fss_parmsin,
-	fss_parmsout,
-	fss_vaparmsin,
-	fss_vaparmsout,
-	fss_getclpri,
-	fss_alloc,
-	fss_free,
+	{   fss_admin,
+	    fss_getclinfo,
+	    fss_parmsin,
+	    fss_parmsout,
+	    fss_vaparmsin,
+	    fss_vaparmsout,
+	    fss_getclpri,
+	    fss_alloc,
+	    fss_free },
 
 	/* thread functions */
-	fss_enterclass,
-	fss_exitclass,
-	fss_canexit,
-	fss_fork,
-	fss_forkret,
-	fss_parmsget,
-	fss_parmsset,
-	fss_stop,
-	fss_exit,
-	fss_active,
-	fss_inactive,
-	fss_swapin,
-	fss_swapout,
-	fss_trapret,
-	fss_preempt,
-	fss_setrun,
-	fss_sleep,
-	fss_tick,
-	fss_wakeup,
-	fss_donice,
-	fss_globpri,
-	fss_nullsys,	/* set_process_group */
-	fss_yield,
-	fss_doprio,
+	{   fss_enterclass,
+	    fss_exitclass,
+	    fss_canexit,
+	    fss_fork,
+	    fss_forkret,
+	    fss_parmsget,
+	    fss_parmsset,
+	    fss_stop,
+	    fss_exit,
+	    fss_active,
+	    fss_inactive,
+	    fss_swapin,
+	    fss_swapout,
+	    fss_trapret,
+	    fss_preempt,
+	    fss_setrun,
+	    fss_sleep,
+	    fss_tick,
+	    fss_wakeup,
+	    fss_donice,
+	    fss_globpri,
+	    fss_nullsys,	/* set_process_group */
+	    fss_yield,
+	    fss_doprio },
 };
 
 int
